kmp_task_red_input Struct Reference

## Public Attributes

void * | reduce_shar
size_t | reduce_size
void * | reduce_init
void * | reduce_fini
void * | reduce_comb
kmp_taskred_flags_t | flags

## Detailed Description

Internal struct for reduction data item related info set up by compiler.

Definition at line 2100 of file kmp_tasking.cpp.

## Member Data Documentation

## flags

kmp_taskred_flags_t kmp_task_red_input::flags

flags for additional info from compiler

Definition at line 2107 of file kmp_tasking.cpp.

## reduce_comb

void* kmp_task_red_input::reduce_comb

data combiner routine

Definition at line 2106 of file kmp_tasking.cpp.

## reduce_fini

void* kmp_task_red_input::reduce_fini

data finalization routine

Definition at line 2105 of file kmp_tasking.cpp.

## reduce_init

void* kmp_task_red_input::reduce_init

data initialization routine (single parameter)

Definition at line 2104 of file kmp_tasking.cpp.

## reduce_shar

void* kmp_task_red_input::reduce_shar

shared between tasks item to reduce into

Definition at line 2101 of file kmp_tasking.cpp.

## reduce_size

size_t kmp_task_red_input::reduce_size

size of data item in bytes

Definition at line 2102 of file kmp_tasking.cpp.

The documentation for this struct was generated from the following file:

- kmp_tasking.cpp